Bug 146001 - Update lang/fpc to 2.4.0
Summary: Update lang/fpc to 2.4.0
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Jose Alonso Cardenas Marquez
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2010-04-23 20:20 UTC by Christopher Key
Modified: 2010-08-16 19:51 UTC (History)
0 users

See Also:


Attachments
archivers-fpc-bzip2.sh (2.07 KB, text/plain)
2010-04-23 20:20 UTC, Christopher Key
no flags Details
audio-fpc-mad.sh (1.66 KB, text/plain)
2010-04-23 20:20 UTC, Christopher Key
no flags Details
audio-fpc-oggvorbis.sh (2.00 KB, text/plain)
2010-04-23 20:20 UTC, Christopher Key
no flags Details
audio-fpc-sndfile.sh (1.75 KB, text/plain)
2010-04-23 20:20 UTC, Christopher Key
no flags Details
devel-fpc-fcl-res.sh (8.86 KB, text/plain)
2010-04-23 20:20 UTC, Christopher Key
no flags Details
devel-fpc-uuid.sh (1.81 KB, text/plain)
2010-04-23 20:20 UTC, Christopher Key
no flags Details
graphics-fpc-hermes.sh (2.72 KB, text/plain)
2010-04-23 20:20 UTC, Christopher Key
no flags Details
graphics-fpc-rsvg.sh (1.73 KB, text/plain)
2010-04-23 20:20 UTC, Christopher Key
no flags Details
lang-fpc-rexx.sh (1.69 KB, text/plain)
2010-04-23 20:20 UTC, Christopher Key
no flags Details
multimedia-fpc-dts.sh (6.74 KB, text/plain)
2010-04-23 20:20 UTC, Christopher Key
no flags Details
net-fpc-ldap.sh (1.84 KB, text/plain)
2010-04-23 20:20 UTC, Christopher Key
no flags Details
www-fpc-fastcgi.sh (1.66 KB, text/plain)
2010-04-23 20:20 UTC, Christopher Key
no flags Details
lang-fpc-2.4.0.patch (64.25 KB, patch)
2010-04-23 20:20 UTC, Christopher Key
no flags Details | Diff
net-p2p-transmisson-remote-gui-ssfpc.patch (3.86 KB, patch)
2010-04-23 20:20 UTC, Christopher Key
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Christopher Key 2010-04-23 20:20:02 UTC
This set of patches brings fpc up to version 2.4.0, featuring (at least partial) amd64 support.  Subject to the caveats below, everything compiles cleanly, but little testing has been performed on the results.

The main patch is:

   lang-fpc-2.4.0.patch.

Additional distfiles referenced in the patch,

   fpc-2.4.0.man.tar.gz
   ppcx64-2.4.0-x86_64-freebsd-6.bz2

are currently available from http://www.srcf.ucam.org/~cjk32/lang-fpc-2.4.0/distfiles/freepascal/ and need to be copied to ${PORTSDIR}/distfiles/freepascal/ pending upload to the appropriate servers.


Various new ports have been included, and need to be extraced into ${PORTSDIR}:

   archivers-fpc-bzip2.sh
   audio-fpc-a52.sh
   audio-fpc-mad.sh
   audio-fpc-modplug.sh
   audio-fpc-oggvorbis.sh
   audio-fpc-openal.sh
   audio-fpc-sndfile.sh
   devel-fpc-dbus.sh
   devel-fpc-fcl-res.sh
   devel-fpc-newt.sh
   devel-fpc-uuid.sh 	
   graphics-fpc-fpvectorial.sh
   graphics-fpc-hermes.sh
   graphics-fpc-proj4.sh
   graphics-fpc-rsvg.sh
   lang-fpc-lua.sh
   lang-fpc-rexx.sh
   math-fpc-gmp.sh
   multimedia-fpc-dts.sh
   multimedia-fpc-matroska.sh
   net-fpc-ldap.sh
   textproc-fpc-libxml2.sh
   www-fpc-fastcgi.sh


In order to get lang/fpc-rexx to compile, the following patch for lang/rexx-regina is required:

   lang-rexx-regina-abi.patch

It forces rexx-regina to install libraries such that ldconfig recognises them.


databases/fpc-ibase depends on databases/firebird20-client (which is currently flagged with MANUAL_PACKAGE_BUILD=yes) and databases/fpc-orcacle depends on databases/oracle8-client (which is flagged ONLY_FOR_ARCHS=i386) meaning that some of fpc doesn't compile in a tinderbox jail or on amd64.  If options are set to turn off these dependencies, then all of the fpc ports compile cleanly on i386 and amd64.  Removing MANUAL_PACKAGE_BUILD=yes, firebird20-client did appear to build successfully in a tinderbox jail, although no testing of the resulting package was possible.

Most of the ports depending on fpc compile cleanly on i386 and amd64.  games/hedgewars required the following trivial patch:

   games-hedgewars-amd64.patch

net-p2p/transmisson-remote-gui requires the patch,

   net-p2p-transmisson-remote-gui-ssfpc.patch

to compile.  It appears to be using Windows specific functions from the sockets unit, and it seems unlikely that it would have compiled with fpc-2.2.4.  The patch attempts to translate the calls to the cross platform versions of the functions, and is sufficient to get it to compile, although again no testing of the resulting package was possible.

Fix: # This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	audio/fpc-a52
#	audio/fpc-a52/Makefile
#	audio/fpc-a52/pkg-plist
#
echo c - audio/fpc-a52
mkdir -p audio/fpc-a52 > /dev/null 2>&1
echo x - audio/fpc-a52/Makefile
sed 's/^X//' >audio/fpc-a52/Makefile << 'e73b043c206e0e96f236093f5ea61dd2'
X# New ports collection makefile for:	fpc-a52
X# Date created: 			2010-04-22
X# Whom: 				Christopher Key <cjk32@cam.ac.uk>
X#
X# $FreeBSD: ports/www/fpc-httpd22/Makefile,v 1.3 2009/01/19 22:40:59 acm Exp $
X#
X
XPORTREVISION=	0
XCATEGORIES=	audio lang
XPKGNAMESUFFIX=	-a52
X
XMAINTAINER=	acm@FreeBSD.org
XCOMMENT=	Free Pascal interface to a52 library
X
XUSE_FPC=	yes
X
XMASTERDIR=	${.CURDIR}/../../lang/fpc
XWRKUNITDIR=	${FPCSRCDIR}/packages/${PKGNAMESUFFIX:S/-//}
XEXTRACTUNITDIR+=	${WRKUNITDIR}
X
XOPTIONS=	LIBA52	"Install a52 library"	on
X
X.include "${MASTERDIR}/Makefile"
e73b043c206e0e96f236093f5ea61dd2
echo x - audio/fpc-a52/pkg-plist
sed 's/^X//' >audio/fpc-a52/pkg-plist << 'ca97c6204d50cbed9c0e17744b978960'
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/a52/Package.fpc
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/a52/a52.o
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/a52/a52.ppu
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/a52/libpa52.a
X@dirrm lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/a52
X@dirrmtry lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%
X@dirrmtry lib/fpc/%%PORTVERSION%%/units
X@dirrmtry lib/fpc/%%PORTVERSION%%
X@dirrmtry lib/fpc
ca97c6204d50cbed9c0e17744b978960
exit
--- audio-fpc-a52.sh ends here ---

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	audio/fpc-modplug
#	audio/fpc-modplug/Makefile
#	audio/fpc-modplug/pkg-plist
#
echo c - audio/fpc-modplug
mkdir -p audio/fpc-modplug > /dev/null 2>&1
echo x - audio/fpc-modplug/Makefile
sed 's/^X//' >audio/fpc-modplug/Makefile << '008f0071f69a172ffe86c669c5982d87'
X# New ports collection makefile for:	fpc-modplug
X# Date created: 			2010-04-22
X# Whom: 				Christopher Key <cjk32@cam.ac.uk>
X#
X# $FreeBSD: ports/www/fpc-httpd22/Makefile,v 1.3 2009/01/19 22:40:59 acm Exp $
X#
X
XPORTREVISION=	0
XCATEGORIES=	audio lang
XPKGNAMESUFFIX=	-modplug
X
XMAINTAINER=	acm@FreeBSD.org
XCOMMENT=	Free Pascal interface to modplug library
X
XUSE_FPC=	yes
X
XMASTERDIR=	${.CURDIR}/../../lang/fpc
XWRKUNITDIR=	${FPCSRCDIR}/packages/${PKGNAMESUFFIX:S/-//}
XEXTRACTUNITDIR+=	${WRKUNITDIR}
X
XOPTIONS=	LIBMODPLUG	"Install modplug library"	on
X
X.include "${MASTERDIR}/Makefile"
008f0071f69a172ffe86c669c5982d87
echo x - audio/fpc-modplug/pkg-plist
sed 's/^X//' >audio/fpc-modplug/pkg-plist << '2ddf978cf2f9b3a6b4f873b17aec2c5d'
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/modplug/Package.fpc
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/modplug/modplug.o
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/modplug/modplug.ppu
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/modplug/libpmodplug.a
X@dirrm lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/modplug
X@dirrmtry lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%
X@dirrmtry lib/fpc/%%PORTVERSION%%/units
X@dirrmtry lib/fpc/%%PORTVERSION%%
X@dirrmtry lib/fpc
2ddf978cf2f9b3a6b4f873b17aec2c5d
exit
--- audio-fpc-modplug.sh ends here ---

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	audio/fpc-openal
#	audio/fpc-openal/Makefile
#	audio/fpc-openal/pkg-plist
#
echo c - audio/fpc-openal
mkdir -p audio/fpc-openal > /dev/null 2>&1
echo x - audio/fpc-openal/Makefile
sed 's/^X//' >audio/fpc-openal/Makefile << '190e9fc54dc2f45a95448dbd91e6edfc'
X# New ports collection makefile for:	fpc-openal
X# Date created: 			2010-04-22
X# Whom: 				Christopher Key <cjk32@cam.ac.uk>
X#
X# $FreeBSD: ports/www/fpc-httpd22/Makefile,v 1.3 2009/01/19 22:40:59 acm Exp $
X#
X
XPORTREVISION=	0
XCATEGORIES=	audio lang
XPKGNAMESUFFIX=	-openal
X
XMAINTAINER=	acm@FreeBSD.org
XCOMMENT=	Free Pascal interface to openal library
X
XUSE_FPC=	yes
X
XMASTERDIR=	${.CURDIR}/../../lang/fpc
XWRKUNITDIR=	${FPCSRCDIR}/packages/${PKGNAMESUFFIX:S/-//}
XEXTRACTUNITDIR+=	${WRKUNITDIR}
X
XOPTIONS=	OPENAL	"Install openal library"	on
X
X.include "${MASTERDIR}/Makefile"
190e9fc54dc2f45a95448dbd91e6edfc
echo x - audio/fpc-openal/pkg-plist
sed 's/^X//' >audio/fpc-openal/pkg-plist << 'a863b788251bade6d1cc9105001078a6'
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/openal/Package.fpc
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/openal/openal.o
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/openal/openal.ppu
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/openal/libpopenal.a
X@dirrm lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/openal
X@dirrmtry lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%
X@dirrmtry lib/fpc/%%PORTVERSION%%/units
X@dirrmtry lib/fpc/%%PORTVERSION%%
X@dirrmtry lib/fpc
a863b788251bade6d1cc9105001078a6
exit
--- audio-fpc-openal.sh ends here ---

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	devel/fpc-dbus
#	devel/fpc-dbus/Makefile
#	devel/fpc-dbus/pkg-plist
#
echo c - devel/fpc-dbus
mkdir -p devel/fpc-dbus > /dev/null 2>&1
echo x - devel/fpc-dbus/Makefile
sed 's/^X//' >devel/fpc-dbus/Makefile << '23110f850f7f9f63994e3c2ee9986906'
X# New ports collection makefile for:	fpc-dbus
X# Date created:		2010-04-22
X# Whom:			Christopher Key <cjk32@cam.ac.uk>
X#
X# $FreeBSD: ports/devel/fpc-zlib/Makefile,v 1.6 2009/01/14 06:12:15 acm Exp $
X#
X
XPORTREVISION=	0
XCATEGORIES=	devel lang
XPKGNAMESUFFIX=	-dbus
X
XMAINTAINER=	acm@FreeBSD.org
XCOMMENT=	Free Pascal interface to dbus library
X
XUSE_FPC=	yes
X
XMASTERDIR=	${.CURDIR}/../../lang/fpc
XWRKUNITDIR=	${FPCSRCDIR}/packages/${PKGNAMESUFFIX:S/-//}
XEXTRACTUNITDIR+=	${WRKUNITDIR}
X
XOPTIONS=	DBUS	"Install dbus library"	on
X
X.include "${MASTERDIR}/Makefile"
23110f850f7f9f63994e3c2ee9986906
echo x - devel/fpc-dbus/pkg-plist
sed 's/^X//' >devel/fpc-dbus/pkg-plist << 'b80cf94b33c9e761459be51fc68d5383'
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/dbus/Package.fpc
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/dbus/dbus.ppu
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/dbus/dbus.o
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/dbus/libpdbus.a
X@dirrm lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/dbus
X@dirrmtry lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%
X@dirrmtry lib/fpc/%%PORTVERSION%%/units
X@dirrmtry lib/fpc/%%PORTVERSION%%
X@dirrmtry lib/fpc
b80cf94b33c9e761459be51fc68d5383
exit
--- devel-fpc-dbus.sh ends here ---

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	devel/fpc-newt
#	devel/fpc-newt/Makefile
#	devel/fpc-newt/pkg-plist
#
echo c - devel/fpc-newt
mkdir -p devel/fpc-newt > /dev/null 2>&1
echo x - devel/fpc-newt/Makefile
sed 's/^X//' >devel/fpc-newt/Makefile << '48cc966784b2e54be915bda6131814b6'
X# New ports collection makefile for:	fpc-newt
X# Date created:		2010-04-22
X# Whom:			Christopher Key <cjk32@cam.ac.uk>
X#
X# $FreeBSD: ports/devel/fpc-sdl/Makefile,v 1.4 2010/03/28 06:33:06 dinoex Exp $
X#
X
XPORTVERSION=	0
XPORTREVISION=	0
XCATEGORIES=	devel lang
XPKGNAMESUFFIX=	-newt
X
XMAINTAINER=	acm@FreeBSD.org
XCOMMENT=	Free Pascal interface to newt library
X
XUSE_FPC=	yes
X
XMASTERDIR=	${.CURDIR}/../../lang/fpc
XWRKUNITDIR=	${FPCSRCDIR}/packages/${PKGNAMESUFFIX:S/-//}
XEXTRACTUNITDIR+=	${WRKUNITDIR}
X
XOPTIONS=	NEWT   "Install newt library"     on
X
X.include "${MASTERDIR}/Makefile"
48cc966784b2e54be915bda6131814b6
echo x - devel/fpc-newt/pkg-plist
sed 's/^X//' >devel/fpc-newt/pkg-plist << 'a259db4ea7c562b58fc3d90c476ac13d'
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/newt/Package.fpc
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/newt/newt.ppu
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/newt/newt.o
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/newt/libpnewt.a
X@dirrm lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/newt
X@dirrmtry lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%
X@dirrmtry lib/fpc/%%PORTVERSION%%/units
X@dirrmtry lib/fpc/%%PORTVERSION%%
X@dirrmtry lib/fpc
a259db4ea7c562b58fc3d90c476ac13d
exit
--- devel-fpc-newt.sh ends here ---

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	graphics/fpc-fpvectorial
#	graphics/fpc-fpvectorial/Makefile
#	graphics/fpc-fpvectorial/pkg-plist
#
echo c - graphics/fpc-fpvectorial
mkdir -p graphics/fpc-fpvectorial > /dev/null 2>&1
echo x - graphics/fpc-fpvectorial/Makefile
sed 's/^X//' >graphics/fpc-fpvectorial/Makefile << 'edf81098c99e9346a6d8f92f79d84bf2'
X# New ports collection makefile for:	fpc-fpvectorial
X# Date created:		2010-04-22
X# Whom:			Christopher Key <cjk32@cam.ac.uk>
X#
X# $FreeBSD: ports/graphics/fpc-ggi/Makefile,v 1.9 2009/01/14 06:12:08 acm Exp $
X#
X
XPORTREVISION=	0
XCATEGORIES=	graphics lang
XPKGNAMESUFFIX=	-fpvectorial
X
XMAINTAINER=	acm@FreeBSD.org
XCOMMENT=	Free Pascal fpvectorial unit
X
XUSE_FPC=	fcl-image paszlib
X
XMASTERDIR=	${.CURDIR}/../../lang/fpc
XWRKUNITDIR=	${FPCSRCDIR}/packages/${PKGNAMESUFFIX:S/-//}
XEXTRACTUNITDIR+=	${WRKUNITDIR}
X
X.include "${MASTERDIR}/Makefile"
edf81098c99e9346a6d8f92f79d84bf2
echo x - graphics/fpc-fpvectorial/pkg-plist
sed 's/^X//' >graphics/fpc-fpvectorial/pkg-plist << '7a96f625ba46dad8b1e0d71b4e9da508'
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fpvectorial/Package.fpc
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fpvectorial/avisocncgcodereader.ppu
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fpvectorial/avisocncgcodewriter.ppu
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fpvectorial/avisozlib.ppu
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fpvectorial/fpvectorial.ppu
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fpvectorial/fpvtocanvas.ppu
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fpvectorial/pdfvectorialreader.ppu
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fpvectorial/pdfvrlexico.ppu
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fpvectorial/pdfvrsemantico.ppu
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fpvectorial/pdfvrsintatico.ppu
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fpvectorial/avisocncgcodereader.o
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fpvectorial/avisocncgcodewriter.o
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fpvectorial/avisozlib.o
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fpvectorial/fpvectorial.o
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fpvectorial/fpvtocanvas.o
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fpvectorial/pdfvectorialreader.o
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fpvectorial/pdfvrlexico.o
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fpvectorial/pdfvrsemantico.o
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fpvectorial/pdfvrsintatico.o
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fpvectorial/libpavisocncgcodereader.a
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fpvectorial/libpavisocncgcodewriter.a
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fpvectorial/libpavisozlib.a
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fpvectorial/libpfpvectorial.a
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fpvectorial/libpfpvtocanvas.a
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fpvectorial/libppdfvectorialreader.a
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fpvectorial/libppdfvrlexico.a
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fpvectorial/libppdfvrsemantico.a
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fpvectorial/libppdfvrsintatico.a
X@dirrm lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/fpvectorial
X@dirrmtry lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%
X@dirrmtry lib/fpc/%%PORTVERSION%%/units
X@dirrmtry lib/fpc/%%PORTVERSION%%
X@dirrmtry lib/fpc
7a96f625ba46dad8b1e0d71b4e9da508
exit
--- graphics-fpc-fpvectorial.sh ends here ---

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	graphics/fpc-proj4
#	graphics/fpc-proj4/Makefile
#	graphics/fpc-proj4/pkg-plist
#
echo c - graphics/fpc-proj4
mkdir -p graphics/fpc-proj4 > /dev/null 2>&1
echo x - graphics/fpc-proj4/Makefile
sed 's/^X//' >graphics/fpc-proj4/Makefile << '1fc349ef7d75f9aa3ebdea90a0988247'
X# New ports collection makefile for:	fpc-proj4
X# Date created:		2010-04-22
X# Whom:			Christopher Key <cjk32@cam.ac.uk>
X#
X# $FreeBSD: ports/graphics/fpc-ggi/Makefile,v 1.9 2009/01/14 06:12:08 acm Exp $
X#
X
XPORTREVISION=	0
XCATEGORIES=	graphics lang
XPKGNAMESUFFIX=	-proj4
X
XMAINTAINER=	acm@FreeBSD.org
XCOMMENT=	Free Pascal interface to proj library
X
XUSE_FPC=	yes
X
XMASTERDIR=	${.CURDIR}/../../lang/fpc
XWRKUNITDIR=	${FPCSRCDIR}/packages/${PKGNAMESUFFIX:S/-//}
XEXTRACTUNITDIR+=	${WRKUNITDIR}
X
XOPTIONS=	PROJ	"Install proj library"	on
X
X.include "${MASTERDIR}/Makefile"
1fc349ef7d75f9aa3ebdea90a0988247
echo x - graphics/fpc-proj4/pkg-plist
sed 's/^X//' >graphics/fpc-proj4/pkg-plist << '78511ce69925c5e88a845d5ff5a5332d'
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/proj4/Package.fpc
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/proj4/proj.ppu
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/proj4/proj.o
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/proj4/libpproj.a
X@dirrm lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/proj4
X@dirrmtry lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%
X@dirrmtry lib/fpc/%%PORTVERSION%%/units
X@dirrmtry lib/fpc/%%PORTVERSION%%
X@dirrmtry lib/fpc
78511ce69925c5e88a845d5ff5a5332d
exit
--- graphics-fpc-proj4.sh ends here ---

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	lang/fpc-lua
#	lang/fpc-lua/Makefile
#	lang/fpc-lua/pkg-plist
#	lang/fpc-lua/files
#	lang/fpc-lua/files/patch-Makefile
#
echo c - lang/fpc-lua
mkdir -p lang/fpc-lua > /dev/null 2>&1
echo x - lang/fpc-lua/Makefile
sed 's/^X//' >lang/fpc-lua/Makefile << '1648ab1cab68c367eda8f13f268f4789'
X# New ports collection makefile for:	fpc-lua
X# Date created:		2010-04-22
X# Whom:			Christopher Key <cjk32@cam.ac.uk>
X#
X# $FreeBSD: ports/lang/fpc-tcl/Makefile,v 1.9 2009/01/14 06:12:13 acm Exp $
X#
X
XPORTREVISION=	0
XCATEGORIES=	lang
XPKGNAMESUFFIX=	-lua
X
XMAINTAINER=	acm@FreeBSD.org
XCOMMENT=	Free Pascal interface to the lua interpreter
X
XUSE_FPC=	yes
X
XMASTERDIR=	${.CURDIR}/../../lang/fpc
XWRKUNITDIR=	${FPCSRCDIR}/packages/${PKGNAMESUFFIX:S/-//}
XEXTRACTUNITDIR+=	${WRKUNITDIR}
X
XOPTIONS=	LUA	"Install lua library"	on
X
X.include "${MASTERDIR}/Makefile"
1648ab1cab68c367eda8f13f268f4789
echo x - lang/fpc-lua/pkg-plist
sed 's/^X//' >lang/fpc-lua/pkg-plist << '5884aa4ad7dadde4cbd22376489ba178'
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/lua/Package.fpc
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/lua/lua.ppu
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/lua/lualib.ppu
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/lua/lauxlib.ppu
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/lua/lua.o
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/lua/lualib.o
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/lua/lauxlib.o
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/lua/libplua.a
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/lua/libplualib.a
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/lua/libplauxlib.a
X@dirrm lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/lua
X@dirrmtry lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%
X@dirrmtry lib/fpc/%%PORTVERSION%%/units
X@dirrmtry lib/fpc/%%PORTVERSION%%
X@dirrmtry lib/fpc
5884aa4ad7dadde4cbd22376489ba178
echo c - lang/fpc-lua/files
mkdir -p lang/fpc-lua/files > /dev/null 2>&1
echo x - lang/fpc-lua/files/patch-Makefile
sed 's/^X//' >lang/fpc-lua/files/patch-Makefile << '8d01865d0d5dae041a66b408b6a2ad5a'
X--- packages/lua/Makefile	2010-04-22 22:04:10.000000000 +0100
X+++ packages/lua/Makefile	2010-04-22 22:04:29.000000000 +0100
X@@ -264,7 +264,7 @@
X UNITSDIR:=$(wildcard $(FPCDIR)/units/$(OS_TARGET))
X endif
X PACKAGESDIR:=$(wildcard $(FPCDIR) $(FPCDIR)/packages $(FPCDIR)/packages/base $(FPCDIR)/packages/extra)
X-override PACKAGE_NAME=bfd
X+override PACKAGE_NAME=lua
X override PACKAGE_VERSION=2.4.0
X ifeq ($(FULL_TARGET),i386-linux)
X override TARGET_UNITS+=lua lualib lauxlib
8d01865d0d5dae041a66b408b6a2ad5a
exit
--- lang-fpc-lua.sh ends here ---

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	math/fpc-gmp
#	math/fpc-gmp/Makefile
#	math/fpc-gmp/pkg-plist
#
echo c - math/fpc-gmp
mkdir -p math/fpc-gmp > /dev/null 2>&1
echo x - math/fpc-gmp/Makefile
sed 's/^X//' >math/fpc-gmp/Makefile << '8b6ac1c9fbec37e915066691155a942b'
X# New ports collection makefile for:	fpc-gmp
X# Date created: 			2010-04-22
X# Whom: 				Christopher Key <cjk32@cam.ac.uk>
X#
X# $FreeBSD: ports/www/fpc-httpd22/Makefile,v 1.3 2009/01/19 22:40:59 acm Exp $
X#
X
XPORTREVISION=	0
XCATEGORIES=	math lang
XPKGNAMESUFFIX=	-gmp
X
XMAINTAINER=	acm@FreeBSD.org
XCOMMENT=	Free Pascal interface to gmp library
X
XUSE_FPC=	yes
X
XMASTERDIR=	${.CURDIR}/../../lang/fpc
XWRKUNITDIR=	${FPCSRCDIR}/packages/${PKGNAMESUFFIX:S/-//}
XEXTRACTUNITDIR+=	${WRKUNITDIR}
X
XOPTIONS=	GMP	"Install gmp library"	on
X
X.include "${MASTERDIR}/Makefile"
8b6ac1c9fbec37e915066691155a942b
echo x - math/fpc-gmp/pkg-plist
sed 's/^X//' >math/fpc-gmp/pkg-plist << 'b6380236d9395cdb2614b3da5601ffbc'
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/gmp/Package.fpc
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/gmp/gmp.o
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/gmp/gmp.ppu
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/gmp/libpgmp.a
X@dirrm lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/gmp
X@dirrmtry lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%
X@dirrmtry lib/fpc/%%PORTVERSION%%/units
X@dirrmtry lib/fpc/%%PORTVERSION%%
X@dirrmtry lib/fpc
b6380236d9395cdb2614b3da5601ffbc
exit
--- math-fpc-gmp.sh ends here ---

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	multimedia/fpc-matroska
#	multimedia/fpc-matroska/Makefile
#	multimedia/fpc-matroska/pkg-plist
#
echo c - multimedia/fpc-matroska
mkdir -p multimedia/fpc-matroska > /dev/null 2>&1
echo x - multimedia/fpc-matroska/Makefile
sed 's/^X//' >multimedia/fpc-matroska/Makefile << 'b7dbd9e6c2ec37f90dc6bb3eb27b1720'
X# New ports collection makefile for:	fpc-matroska
X# Date created: 			2010-04-22
X# Whom: 				Christopher Key <cjk32@cam.ac.uk>
X#
X# $FreeBSD: ports/www/fpc-httpd22/Makefile,v 1.3 2009/01/19 22:40:59 acm Exp $
X#
X
XPORTREVISION=	0
XCATEGORIES=	multimedia lang
XPKGNAMESUFFIX=	-matroska
X
XMAINTAINER=	acm@FreeBSD.org
XCOMMENT=	Free Pascal interface to matroska library
X
XUSE_FPC=	yes
X
XMASTERDIR=	${.CURDIR}/../../lang/fpc
XWRKUNITDIR=	${FPCSRCDIR}/packages/${PKGNAMESUFFIX:S/-//}
XEXTRACTUNITDIR+=	${WRKUNITDIR}
X
XOPTIONS=	LIBMATROSKA	"Install matroska library"	on
X
X.include "${MASTERDIR}/Makefile"
b7dbd9e6c2ec37f90dc6bb3eb27b1720
echo x - multimedia/fpc-matroska/pkg-plist
sed 's/^X//' >multimedia/fpc-matroska/pkg-plist << 'a2846de32343a13a81d93ad757ebf555'
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/matroska/Package.fpc
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/matroska/matroska.o
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/matroska/matroska.ppu
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/matroska/libpmatroska.a
X@dirrm lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/matroska
X@dirrmtry lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%
X@dirrmtry lib/fpc/%%PORTVERSION%%/units
X@dirrmtry lib/fpc/%%PORTVERSION%%
X@dirrmtry lib/fpc
a2846de32343a13a81d93ad757ebf555
exit
--- multimedia-fpc-matroska.sh ends here ---

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	textproc/fpc-libxml2
#	textproc/fpc-libxml2/Makefile
#	textproc/fpc-libxml2/pkg-plist
#
echo c - textproc/fpc-libxml2
mkdir -p textproc/fpc-libxml2 > /dev/null 2>&1
echo x - textproc/fpc-libxml2/Makefile
sed 's/^X//' >textproc/fpc-libxml2/Makefile << 'c7a9664e1cc6b2fb3c122525253bb750'
X# New ports collection makefile for:	fpc-libxml2
X# Date created:		2010-04-22
X# Whom:			Christoper Key <cjk32@cam.ac.uk>
X#
X# $FreeBSD: ports/textproc/fpc-aspell/Makefile,v 1.1 2009/01/14 02:41:00 acm Exp $
X#
X
XPORTREVISION=	0
XCATEGORIES=	textproc lang
XPKGNAMESUFFIX=	-libxml2
X
XMAINTAINER=	acm@FreeBSD.org
XCOMMENT=	Interface to xml2 library
X
XUSE_FPC=	yes
X
XMASTERDIR=	${.CURDIR}/../../lang/fpc
XWRKUNITDIR=	${FPCSRCDIR}/packages/${PKGNAMESUFFIX:S/-//:S/2//}
XEXTRACTUNITDIR+=	${WRKUNITDIR}
X
XOPTIONS=	LIBXML2	"Install xml2 library"	on
X
X.include "${MASTERDIR}/Makefile"
c7a9664e1cc6b2fb3c122525253bb750
echo x - textproc/fpc-libxml2/pkg-plist
sed 's/^X//' >textproc/fpc-libxml2/pkg-plist << 'c541eba70701ce90504e6c22d39bc1dd'
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/libxml2/Package.fpc
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/libxml2/xml2.ppu
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/libxml2/xmlxsd.ppu
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/libxml2/xml2.o
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/libxml2/xmlxsd.o
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/libxml2/libpxml2.a
Xlib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/libxml2/libpxmlxsd.a
X@dirrm lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%/libxml2
X@dirrmtry lib/fpc/%%PORTVERSION%%/units/%%BUILDNAME%%
X@dirrmtry lib/fpc/%%PORTVERSION%%/units
X@dirrmtry lib/fpc/%%PORTVERSION%%
X@dirrmtry lib/fpc
c541eba70701ce90504e6c22d39bc1dd
exit
--- textproc-fpc-libxml2.sh ends here ---

Index: games/hedgewars/Makefile
===================================================================
RCS file: /home/ncvs/ports/games/hedgewars/Makefile,v
retrieving revision 1.21
diff -u -r1.21 Makefile
--- games/hedgewars/Makefile	5 Apr 2010 14:43:33 -0000	1.21
+++ games/hedgewars/Makefile	22 Apr 2010 10:09:40 -0000
@@ -15,8 +15,8 @@
 MAINTAINER=	amdmi3@FreeBSD.org
 COMMENT=	Free Worms-like turn based strategy game
 
-ONLY_FOR_ARCHS=	i386
-ONLY_FOR_ARCHS_REASON=	depends on fpc which is only available for i386
+ONLY_FOR_ARCHS=	i386 amd64
+ONLY_FOR_ARCHS_REASON=	depends on fpc which is only available for i386 and amd64
 
 USE_BZIP2=	yes
 USE_CMAKE=	yes
--- games-hedgewars-amd64.patch ends here ---

--- lang/rexx-regina/files/patch-configure	1970-01-01 01:00:00.000000000 +0100
+++ lang/rexx-regina/files/patch-configure	2010-04-23 11:45:39.000000000 +0100
@@ -0,0 +1,14 @@
+--- configure.orig	2010-04-23 11:37:00.000000000 +0100
++++ configure	2010-04-23 11:37:39.000000000 +0100
+@@ -4194,7 +4194,10 @@
+                 LD_RXLIB_B1="-lc -L. -l${SHLFILE}"
+                 LD_RXLIB_B2="-lc -L. -l${SHLFILE}"
+                 SHLPRE="lib"
+-                SHL_LD="ld -Bdynamic -Bshareable -o ${SHLPRE}${SHLFILE}${SHLPST} "'$('SHOFILES')'
++                SHL_LD="ld -Bdynamic -Bshareable -o ${SHLPRE}${SHLFILE}${SHLPST}.\$(ABI) "'$('SHOFILES')'
++                SHL_BASE="${SHLPRE}${SHLFILE}${SHLPST}.\$(ABI)"
++                OTHER_INSTALLS="installabilib"
++                USE_ABI="yes"
+                 ;;
+         *linux*)
+                 LD_RXLIB_A1="${CC} -shared -o \$(@)"
--- lang/rexx-regina/pkg-plist	2010-04-23 11:44:58.000000000 +0100
+++ lang/rexx-regina/pkg-plist	2010-04-23 11:45:24.000000000 +0100
@@ -7,6 +7,8 @@
 include/rexxsaa.h
 lib/libregina.a
 lib/libregina.so
+lib/libregina.so.3
+lib/libregina.so.3.3
 lib/libtest1.so
 lib/libtest2.so
 %%DATADIR%%/animal.rexx
--- lang-rexx-regina-abi.patch ends here ---
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2010-04-23 23:10:08 UTC
Responsible Changed
From-To: freebsd-ports-bugs->acm

Fix synopsis and assign.
Comment 2 Jose Alonso Cardenas Marquez freebsd_committer 2010-04-26 06:04:53 UTC
2010/4/23  <linimon@freebsd.org>:
> Old Synopsis: [ports] Update fpc to 2.4.0
> New Synopsis: [ports] Update lang/fpc to 2.4.0
>
> Responsible-Changed-From-To: freebsd-ports-bugs->acm
> Responsible-Changed-By: linimon
> Responsible-Changed-When: Fri Apr 23 22:10:08 UTC 2010
> Responsible-Changed-Why:
> Fix synopsis and assign.
>
> http://www.freebsd.org/cgi/query-pr.cgi?pr=146001
>

Hi Christopher :)

What about editors/lazarus port? is it compiling/running without
problems with new version of freepascal?

Greetings
ACM
Comment 3 Christopher Key 2010-05-01 10:01:26 UTC
Alonso Cárdenas Márquez wrote:
> What about editors/lazarus port? is it compiling/running without
> problems with new version of freepascal?
>
> Greetings
> ACM
>   
> Hi Christopher :)
Hi Alonso,

I'm afraid I only have a headless FreeBSD system so I've not been able
to test the result, but lazarus 0.9.28.2_2 compiled happily in a
tinderbox with the new version of freepascal.  The only requirement was
to set WITHOUT_IBASE=true for fpc-ibase, although looking at
http://www.freshports.org/databases/firebird20-client/, this is no
longer required.

Kind regards,

Chris.
Comment 4 dfilter service freebsd_committer 2010-08-16 18:45:24 UTC
acm         2010-08-16 17:45:15 UTC

  FreeBSD ports repository

  Modified files:
    lang/fpc             Makefile Makefile.units distinfo 
                         pkg-plist 
    textproc/fpc-aspell  pkg-plist 
    lang/fpc-base        Makefile 
    graphics/fpc-cairo   Makefile 
    lang/fpc-docs        Makefile distinfo 
    devel/fpc-fcl-base   pkg-plist 
    devel/fpc-fcl-db     Makefile pkg-plist 
    devel/fpc-fcl-image  Makefile pkg-plist 
    devel/fpc-fcl-web    Makefile pkg-plist 
    devel/fpc-fcl-xml    Makefile pkg-plist 
    math/fpc-fftw        Makefile 
    x11-toolkits/fpc-gnome1 Makefile 
    graphics/fpc-graph   Makefile pkg-plist 
    x11-toolkits/fpc-gtk2 Makefile pkg-plist 
    security/fpc-hash    pkg-plist 
    converters/fpc-iconvenc pkg-plist 
    editors/fpc-ide      Makefile 
    graphics/fpc-imagemagick Makefile 
    graphics/fpc-imlib   Makefile 
    ftp/fpc-libcurl      Makefile 
    graphics/fpc-libgd   Makefile 
    graphics/fpc-libpng  Makefile 
    databases/fpc-odbc   Makefile 
    graphics/fpc-opengl  pkg-plist 
    databases/fpc-oracle Makefile 
    graphics/fpc-pasjpeg pkg-plist 
    databases/fpc-pxlib  Makefile 
    devel/fpc-sdl        Makefile pkg-plist 
    graphics/fpc-svgalib Makefile 
    archivers/fpc-unzip  pkg-plist 
    sysutils/fpc-users   Makefile 
    lang/fpc-utils       Makefile pkg-plist 
    x11-toolkits/fpc-xforms Makefile 
    Mk                   bsd.fpc.mk 
  Added files:
    lang/fpc/files       patch-rtl-bsd-x86_64_syscall.inc 
                         patch-rtl-bsd-x86_64_syscallh.inc 
                         patch-rtl-bsd_ossysc.inc 
  Removed files:
    devel/fpc-fcl-db/files patch-packages-fcl-db_Makefile 
  Log:
  - Update to 2.4.0
  - Add support for amd64 [1]
  - Add 23 new ports to  to bsd.fpc.mk
  - Remove obsolete patch file patch-packages-fcl-db_Makefile
  - Turn off some optional dependencies like databases/unixODBC,
    graphics/svgalib, databases/oracle8-client for avoid break amd64 support
  - Clean up
  
  PR:     ports/146001
  Submmitted by:  Christopher Key <cjk32__ at _cam.ac.uk>
  Patch reviewed by:      marcov_ at _pascalprogramming.com (fpc developer)[1]
  
  Revision  Changes    Path
  1.11      +47 -15    ports/Mk/bsd.fpc.mk
  1.2       +3 -3      ports/archivers/fpc-unzip/pkg-plist
  1.2       +3 -0      ports/converters/fpc-iconvenc/pkg-plist
  1.15      +1 -1      ports/databases/fpc-odbc/Makefile
  1.15      +1 -1      ports/databases/fpc-oracle/Makefile
  1.2       +1 -1      ports/databases/fpc-pxlib/Makefile
  1.6       +3 -0      ports/devel/fpc-fcl-base/pkg-plist
  1.17      +0 -2      ports/devel/fpc-fcl-db/Makefile
  1.2       +0 -28     ports/devel/fpc-fcl-db/files/patch-packages-fcl-db_Makefile (dead)
  1.6       +3 -0      ports/devel/fpc-fcl-db/pkg-plist
  1.16      +1 -1      ports/devel/fpc-fcl-image/Makefile
  1.6       +12 -0     ports/devel/fpc-fcl-image/pkg-plist
  1.13      +1 -1      ports/devel/fpc-fcl-web/Makefile
  1.6       +9 -0      ports/devel/fpc-fcl-web/pkg-plist
  1.11      +1 -1      ports/devel/fpc-fcl-xml/Makefile
  1.5       +3 -0      ports/devel/fpc-fcl-xml/pkg-plist
  1.5       +0 -1      ports/devel/fpc-sdl/Makefile
  1.2       +3 -3      ports/devel/fpc-sdl/pkg-plist
  1.21      +1 -3      ports/editors/fpc-ide/Makefile
  1.7       +1 -1      ports/ftp/fpc-libcurl/Makefile
  1.7       +1 -1      ports/graphics/fpc-cairo/Makefile
  1.7       +1 -1      ports/graphics/fpc-graph/Makefile
  1.3       +3 -3      ports/graphics/fpc-graph/pkg-plist
  1.5       +1 -1      ports/graphics/fpc-imagemagick/Makefile
  1.14      +1 -1      ports/graphics/fpc-imlib/Makefile
  1.13      +1 -1      ports/graphics/fpc-libgd/Makefile
  1.10      +1 -1      ports/graphics/fpc-libpng/Makefile
  1.3       +1 -0      ports/graphics/fpc-opengl/pkg-plist
  1.4       +3 -0      ports/graphics/fpc-pasjpeg/pkg-plist
  1.9       +1 -1      ports/graphics/fpc-svgalib/Makefile
  1.16      +1 -4      ports/lang/fpc-base/Makefile
  1.13      +2 -2      ports/lang/fpc-docs/Makefile
  1.9       +3 -3      ports/lang/fpc-docs/distinfo
  1.12      +1 -1      ports/lang/fpc-utils/Makefile
  1.6       +3 -0      ports/lang/fpc-utils/pkg-plist
  1.35      +40 -16    ports/lang/fpc/Makefile
  1.23      +119 -5    ports/lang/fpc/Makefile.units
  1.12      +12 -6     ports/lang/fpc/distinfo
  1.1       +89 -0     ports/lang/fpc/files/patch-rtl-bsd-x86_64_syscall.inc (new)
  1.1       +10 -0     ports/lang/fpc/files/patch-rtl-bsd-x86_64_syscallh.inc (new)
  1.1       +17 -0     ports/lang/fpc/files/patch-rtl-bsd_ossysc.inc (new)
  1.12      +16 -9     ports/lang/fpc/pkg-plist
  1.7       +1 -1      ports/math/fpc-fftw/Makefile
  1.7       +3 -0      ports/security/fpc-hash/pkg-plist
  1.2       +1 -1      ports/sysutils/fpc-users/Makefile
  1.2       +4 -1      ports/textproc/fpc-aspell/pkg-plist
  1.12      +1 -1      ports/x11-toolkits/fpc-gnome1/Makefile
  1.18      +2 -2      ports/x11-toolkits/fpc-gtk2/Makefile
  1.7       +3 -3      ports/x11-toolkits/fpc-gtk2/pkg-plist
  1.12      +1 -1      ports/x11-toolkits/fpc-xforms/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 dfilter service freebsd_committer 2010-08-16 18:47:05 UTC
acm         2010-08-16 17:46:57 UTC

  FreeBSD ports repository

  Modified files:
    www                  Makefile 
  Added files:
    www/fpc-fastcgi      Makefile pkg-plist 
  Log:
  - New port: www/fpc-fastcgi
  
  Free Pascal interface to interbase
  
  PR:             146001
  Submitted by:   Christopher Key <cjk32 __at __cam.ac.uk>
  
  Revision  Changes    Path
  1.2661    +1 -0      ports/www/Makefile
  1.1       +21 -0     ports/www/fpc-fastcgi/Makefile (new)
  1.1       +9 -0      ports/www/fpc-fastcgi/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 6 dfilter service freebsd_committer 2010-08-16 18:51:24 UTC
acm         2010-08-16 17:51:09 UTC

  FreeBSD ports repository

  Modified files:
    archivers            Makefile 
  Added files:
    archivers/fpc-bzip2  Makefile pkg-plist 
  Log:
  - New port: archivers/fpc-bzip2
  
  Free Pascal bzip2 unit
  
  PR:             146001
  Submitted by:   Christopher Key <cjk32_ at cam.ac.uk>
  
  Revision  Changes    Path
  1.243     +1 -0      ports/archivers/Makefile
  1.1       +21 -0     ports/archivers/fpc-bzip2/Makefile (new)
  1.1       +15 -0     ports/archivers/fpc-bzip2/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 7 dfilter service freebsd_committer 2010-08-16 18:53:16 UTC
acm         2010-08-16 17:53:02 UTC

  FreeBSD ports repository

  Modified files:
    audio                Makefile 
  Added files:
    audio/fpc-a52        Makefile pkg-plist 
  Log:
  - New port: audio/fpc-a52
  
  Free Pascal interface to a52 library
  
  PR:             146001
  Submitted by:   Christopher Key <cjk32 _ at _ cam.ac.uk>
  
  Revision  Changes    Path
  1.1121    +1 -0      ports/audio/Makefile
  1.1       +23 -0     ports/audio/fpc-a52/Makefile (new)
  1.1       +9 -0      ports/audio/fpc-a52/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 8 dfilter service freebsd_committer 2010-08-16 18:56:21 UTC
acm         2010-08-16 17:56:07 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
  Added files:
    devel/fpc-dbus       Makefile pkg-plist 
  Log:
  - New port: devel/fpc-dbus
  
  Free Pascal interface to dbus library
  
  PR:             146001
  Submitted by:   Christopher Key <cjk32 (at) cam.ac.uk>
  
  Revision  Changes    Path
  1.4008    +1 -0      ports/devel/Makefile
  1.1       +23 -0     ports/devel/fpc-dbus/Makefile (new)
  1.1       +9 -0      ports/devel/fpc-dbus/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 9 dfilter service freebsd_committer 2010-08-16 18:58:48 UTC
acm         2010-08-16 17:58:39 UTC

  FreeBSD ports repository

  Modified files:
    multimedia           Makefile 
  Added files:
    multimedia/fpc-dts   Makefile pkg-plist 
  Log:
  - New port: multimedia/fpc-dts
  
  Free Pascal interface to the dts library
  
  PR:             146001
  Submitted by:   Christopher Key <cjk32_ at _cam.ac.uk>
  
  Revision  Changes    Path
  1.383     +1 -0      ports/multimedia/Makefile
  1.1       +23 -0     ports/multimedia/fpc-dts/Makefile (new)
  1.1       +9 -0      ports/multimedia/fpc-dts/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 10 dfilter service freebsd_committer 2010-08-16 19:02:54 UTC
acm         2010-08-16 18:02:33 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
  Added files:
    devel/fpc-fcl-res    Makefile pkg-plist 
  Log:
  - New port: devel/fpc-fcl-res
  
  Free Pascal Component Library
  
  PR:             146001
  Submitted by:   Christopher Key <cjk32 __ at __ cam.ac.uk>
  
  Revision  Changes    Path
  1.4009    +1 -0      ports/devel/Makefile
  1.1       +21 -0     ports/devel/fpc-fcl-res/Makefile (new)
  1.1       +114 -0    ports/devel/fpc-fcl-res/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 11 dfilter service freebsd_committer 2010-08-16 19:05:41 UTC
acm         2010-08-16 18:05:28 UTC

  FreeBSD ports repository

  Modified files:
    graphics             Makefile 
  Added files:
    graphics/fpc-fpvectorial Makefile pkg-plist 
  Log:
  - New port: graphics/fpc-fpvectorial
  
  Free Pascal fpvectorial unit
  
  PR:             146001
  Submitted by:   Christopher Key <cjk32 _ __ cam.ac.uk>
  
  Revision  Changes    Path
  1.1340    +1 -0      ports/graphics/Makefile
  1.1       +21 -0     ports/graphics/fpc-fpvectorial/Makefile (new)
  1.1       +33 -0     ports/graphics/fpc-fpvectorial/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 12 dfilter service freebsd_committer 2010-08-16 19:08:01 UTC
acm         2010-08-16 18:07:50 UTC

  FreeBSD ports repository

  Modified files:
    math                 Makefile 
  Added files:
    math/fpc-gmp         Makefile pkg-plist 
  Log:
  - New port: math/fpc-gmp
  
  Free Pascal interface to gmp library
  
  PR:             146001
  Submitted by:   Christopher Key <cjk32 at cam.ac.uk>
  
  Revision  Changes    Path
  1.668     +1 -0      ports/math/Makefile
  1.1       +23 -0     ports/math/fpc-gmp/Makefile (new)
  1.1       +9 -0      ports/math/fpc-gmp/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 13 dfilter service freebsd_committer 2010-08-16 19:10:19 UTC
acm         2010-08-16 18:10:02 UTC

  FreeBSD ports repository

  Modified files:
    graphics             Makefile 
  Added files:
    graphics/fpc-hermes  Makefile pkg-plist 
    graphics/fpc-hermes/files patch-Makefile 
  Log:
  - New port: graphics/fpc-hermes
  
  PR:             146001
  Submitted by:   Christopher Key <cjk32 __ at __ cam.ac.uk>
  
  Revision  Changes    Path
  1.1341    +1 -0      ports/graphics/Makefile
  1.1       +23 -0     ports/graphics/fpc-hermes/Makefile (new)
  1.1       +10 -0     ports/graphics/fpc-hermes/files/patch-Makefile (new)
  1.1       +14 -0     ports/graphics/fpc-hermes/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 14 dfilter service freebsd_committer 2010-08-16 19:12:42 UTC
acm         2010-08-16 18:12:29 UTC

  FreeBSD ports repository

  Modified files:
    net                  Makefile 
  Added files:
    net/fpc-ldap         Makefile pkg-plist 
  Log:
  - New port: net/fpc-ldap
  
  Free Pascal interface to OpenLDAP
  
  PR:             146001
  Submitted by:   Christopher Key <cjk32 __ at _ cam.ac.uk>
  
  Revision  Changes    Path
  1.2240    +1 -0      ports/net/Makefile
  1.1       +23 -0     ports/net/fpc-ldap/Makefile (new)
  1.1       +12 -0     ports/net/fpc-ldap/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 15 dfilter service freebsd_committer 2010-08-16 19:15:00 UTC
acm         2010-08-16 18:14:38 UTC

  FreeBSD ports repository

  Modified files:
    textproc             Makefile 
  Added files:
    textproc/fpc-libxml2 Makefile pkg-plist 
  Log:
  - New port: textproc/fpc-libxml2
  
  Interface to xml2 library
  
  PR:             146001
  Submitted by:   Christopher Key <cjk32 __ __ cam.ac.uk>
  
  Revision  Changes    Path
  1.1478    +1 -0      ports/textproc/Makefile
  1.1       +23 -0     ports/textproc/fpc-libxml2/Makefile (new)
  1.1       +12 -0     ports/textproc/fpc-libxml2/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 16 dfilter service freebsd_committer 2010-08-16 19:17:29 UTC
acm         2010-08-16 18:17:11 UTC

  FreeBSD ports repository

  Modified files:
    lang                 Makefile 
  Added files:
    lang/fpc-lua         Makefile pkg-plist 
    lang/fpc-lua/files   patch-Makefile 
  Log:
  - New port: lang/fpc-lua
  
  Free Pascal interface to the lua interpreter
  
  PR:             146001
  Submitted by:   Christopher Key <cjk32 _ at cam.ac.uk>
  
  Revision  Changes    Path
  1.693     +1 -0      ports/lang/Makefile
  1.1       +23 -0     ports/lang/fpc-lua/Makefile (new)
  1.1       +11 -0     ports/lang/fpc-lua/files/patch-Makefile (new)
  1.1       +15 -0     ports/lang/fpc-lua/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 17 dfilter service freebsd_committer 2010-08-16 19:18:58 UTC
acm         2010-08-16 18:18:47 UTC

  FreeBSD ports repository

  Modified files:
    audio                Makefile 
  Added files:
    audio/fpc-mad        Makefile pkg-plist 
  Log:
  - New port: audio/fpc-mad
  
  Free Pascal interface to mad library
  
  PR:             146001
  Submitted by:   Christopher Key <cjk32 _ at _ cam.ac.uk>
  
  Revision  Changes    Path
  1.1122    +1 -0      ports/audio/Makefile
  1.1       +23 -0     ports/audio/fpc-mad/Makefile (new)
  1.1       +9 -0      ports/audio/fpc-mad/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 18 dfilter service freebsd_committer 2010-08-16 19:20:46 UTC
acm         2010-08-16 18:20:37 UTC

  FreeBSD ports repository

  Modified files:
    multimedia           Makefile 
  Added files:
    multimedia/fpc-matroska Makefile pkg-plist 
  Log:
  - New port: multimedia/fpc-matroska
  
  Free Pascal interface to matroska library
  
  PR:             146001
  Submitted by:   Christopher Key <cjk32  at  cam.ac.uk>
  
  Revision  Changes    Path
  1.384     +1 -0      ports/multimedia/Makefile
  1.1       +23 -0     ports/multimedia/fpc-matroska/Makefile (new)
  1.1       +9 -0      ports/multimedia/fpc-matroska/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 19 dfilter service freebsd_committer 2010-08-16 19:22:40 UTC
acm         2010-08-16 18:22:32 UTC

  FreeBSD ports repository

  Modified files:
    audio                Makefile 
  Added files:
    audio/fpc-modplug    Makefile pkg-plist 
  Log:
  - New port: audio/fpc-modplug
  
  Free Pascal interface to modplug library
  
  PR:             146001
  Submitted by:   Christopher Key <cjk32 __ at __ cam.ac.uk>
  
  Revision  Changes    Path
  1.1123    +1 -0      ports/audio/Makefile
  1.1       +23 -0     ports/audio/fpc-modplug/Makefile (new)
  1.1       +9 -0      ports/audio/fpc-modplug/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 20 dfilter service freebsd_committer 2010-08-16 19:24:29 UTC
acm         2010-08-16 18:24:17 UTC

  FreeBSD ports repository

  Modified files:
    devel                Makefile 
  Added files:
    devel/fpc-newt       Makefile pkg-plist 
  Log:
  - New port: devel/fpc-newt
  
  Free Pascal interface to newt library
  
  PR:             146001
  Submitted by:   Christopher Key <cjk32 _ at cam.ac.uk>
  
  Revision  Changes    Path
  1.4010    +1 -0      ports/devel/Makefile
  1.1       +23 -0     ports/devel/fpc-newt/Makefile (new)
  1.1       +9 -0      ports/devel/fpc-newt/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 21 dfilter service freebsd_committer 2010-08-16 19:26:52 UTC
acm         2010-08-16 18:26:44 UTC

  FreeBSD ports repository

  Modified files:
    audio                Makefile 
  Added files:
    audio/fpc-oggvorbis  Makefile pkg-plist 
  Log:
  - New port: audio/fpc-oggvorbis
  
  Free Pascal interface to ogg & vorbis libraries
  
  PR:             146001
  Submitted by:   Christopher Key <cjk32 __at__ cam.ac.uk>
  
  Revision  Changes    Path
  1.1124    +1 -0      ports/audio/Makefile
  1.1       +24 -0     ports/audio/fpc-oggvorbis/Makefile (new)
  1.1       +12 -0     ports/audio/fpc-oggvorbis/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 22 dfilter service freebsd_committer 2010-08-16 19:28:48 UTC
acm         2010-08-16 18:28:34 UTC

  FreeBSD ports repository

  Modified files:
    audio                Makefile 
  Added files:
    audio/fpc-openal     Makefile pkg-plist 
  Log:
  - New port: audio/fpc-openal
  
  Free Pascal interface to openal library
  
  PR:             146001
  Submitted by:   Christopher Key <cjk32 __ at __ cam.ac.uk>
  
  Revision  Changes    Path
  1.1125    +1 -0      ports/audio/Makefile
  1.1       +23 -0     ports/audio/fpc-openal/Makefile (new)
  1.1       +9 -0      ports/audio/fpc-openal/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 23 dfilter service freebsd_committer 2010-08-16 19:30:28 UTC
acm         2010-08-16 18:30:13 UTC

  FreeBSD ports repository

  Modified files:
    graphics             Makefile 
  Added files:
    graphics/fpc-proj4   Makefile pkg-plist 
  Log:
  - New port: graphcis/fpc-proj4
  
  Free Pascal interface to proj library
  
  PR:             146001
  Submitted by:   Christopher Key <cjk32 at _ cam.ac.uk>
  
  Revision  Changes    Path
  1.1342    +1 -0      ports/graphics/Makefile
  1.1       +23 -0     ports/graphics/fpc-proj4/Makefile (new)
  1.1       +9 -0      ports/graphics/fpc-proj4/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 24 dfilter service freebsd_committer 2010-08-16 19:32:08 UTC
acm         2010-08-16 18:31:59 UTC

  FreeBSD ports repository

  Modified files:
    lang                 Makefile 
  Added files:
    lang/fpc-rexx        Makefile pkg-plist 
  Log:
  - New port: lang/fpc-rexx
  
  Free Pascal interface to the rexx-regina library
  
  PR:             146001
  Submitted by:   Christopher Key <cjk32 __ at __ cam.ac.uk>
  
  Revision  Changes    Path
  1.694     +1 -0      ports/lang/Makefile
  1.1       +23 -0     ports/lang/fpc-rexx/Makefile (new)
  1.1       +9 -0      ports/lang/fpc-rexx/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 25 dfilter service freebsd_committer 2010-08-16 19:34:15 UTC
acm         2010-08-16 18:34:01 UTC

  FreeBSD ports repository

  Modified files:
    graphics             Makefile 
  Added files:
    graphics/fpc-rsvg    Makefile pkg-plist 
  Log:
  - New port: graphics/fpc-rsvg
  
  Free Pascal interface to librsvg2 library
  
  PR:             146001
  Submitted by:   Christopher Key <cjk32 __ at __ cam.ac.uk>
  
  Revision  Changes    Path
  1.1343    +1 -0      ports/graphics/Makefile
  1.1       +23 -0     ports/graphics/fpc-rsvg/Makefile (new)
  1.1       +9 -0      ports/graphics/fpc-rsvg/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 26 dfilter service freebsd_committer 2010-08-16 19:35:54 UTC
acm         2010-08-16 18:35:46 UTC

  FreeBSD ports repository

  Modified files:
    audio                Makefile 
  Added files:
    audio/fpc-sndfile    Makefile pkg-plist 
  Log:
  - New port: audio/fpc-sndfile
  
  Free Pascal Interface to sndfile library
  
  PR:             146001
  Submitted by:   Christopher Key <cjk32 __ at __ cam.ac.uk>
  
  Revision  Changes    Path
  1.1126    +1 -0      ports/audio/Makefile
  1.1       +23 -0     ports/audio/fpc-sndfile/Makefile (new)
  1.1       +9 -0      ports/audio/fpc-sndfile/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 27 dfilter service freebsd_committer 2010-08-16 19:37:46 UTC
acm         2010-08-16 18:37:33 UTC

  FreeBSD ports repository

  Modified files:
    sysutils             Makefile 
  Added files:
    sysutils/fpc-uuid    Makefile pkg-plist 
  Log:
  - New port: sysutils/fpc-uuid
  
  Free Pascal uuid unit
  
  PR:             146001
  Submitted by:   Christopher Key <cjk32 at_ cam.ac.uk>
  
  Revision  Changes    Path
  1.1214    +1 -0      ports/sysutils/Makefile
  1.1       +21 -0     ports/sysutils/fpc-uuid/Makefile (new)
  1.1       +12 -0     ports/sysutils/fpc-uuid/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 28 dfilter service freebsd_committer 2010-08-16 19:38:27 UTC
acm         2010-08-16 18:38:14 UTC

  FreeBSD ports repository

  Modified files:
    lang/fpc-units       Makefile 
  Log:
  - Update to 2.4.0
  
  PR:             146001
  Submitted by:   Christopher Key <cjk32 __ __ cam.ac.uk>
  
  Revision  Changes    Path
  1.21      +35 -10    ports/lang/fpc-units/Makefile
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 29 Jose Alonso Cardenas Marquez freebsd_committer 2010-08-16 19:50:37 UTC
State Changed
From-To: open->closed

- Committed with few modifications. Thanks a lot for your usefull help :)